﻿using Education.Data;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Grouped Items Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234231

namespace Education
{
    /// <summary>
    /// A page that displays a grouped collection of items.
    /// </summary>
    public sealed partial class Spoke3 : Education.Common.LayoutAwarePage
    {
        public Spoke3()
        {
            this.InitializeComponent();
            BAarts.IsChecked = true;
        }

        /// <summary>
        /// Populates the page with content passed during navigation.  Any saved state is also
        /// provided when recreating a page from a prior session.
        /// </summary>
        /// <param name="navigationParameter">The parameter value passed to
        /// <see cref="Frame.Navigate(Type, Object)"/> when this page was initially requested.
        /// </param>
        /// <param name="pageState">A dictionary of state preserved by this page during an earlier
        /// session.  This will be null the first time a page is visited.</param>
        protected override void LoadState(Object navigationParameter, Dictionary<String, Object> pageState)
        {
            var SpokeDataGroups = spoke3DataSource.GetGroups((String)navigationParameter);
            this.DefaultViewModel["Groups"] = SpokeDataGroups;
        }

        private void RadioButton_Checked_1(object sender, Windows.UI.Xaml.RoutedEventArgs e)
        {
            Arts_Anim_checked.Begin();
        }

        private void RadioButton_Unchecked_1(object sender, Windows.UI.Xaml.RoutedEventArgs e)
        {
            Arts_Anim_UnChecked.Begin();
        }

        private void ScienceChecked(object sender, RoutedEventArgs e)
        {
            Science_Checked.Begin();
        }

        private void ScienceUnchecked(object sender, RoutedEventArgs e)
        {
            Science_Unchecked.Begin();
        }

        private void MastersChecked(object sender, RoutedEventArgs e)
        {
            Masters_Checked.Begin();
        }

        private void MastersUnchecked(object sender, RoutedEventArgs e)
        {
            Masters_Unchecked.Begin();
        }

        private void ELit_Clicked(object sender, RoutedEventArgs e)
        {
            this.Frame.Navigate(typeof(Spoke1), "AllGroups");         
        }
    }
}
